"use client"

import { ApolloProvider } from '@apollo/client'
import { apolloClient } from '@/lib/apollo-client'
import { SidebarProvider } from '@/hooks/useSidebar'

export function Providers({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <ApolloProvider client={apolloClient}>
      <SidebarProvider>
        {children}
      </SidebarProvider>
    </ApolloProvider>
  )
} 